Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyTopicSubscriber

    java.lang.Object
      org.jboss.mq.SpyMessageConsumer
          org.jboss.mq.SpyTopicSubscriber

All Implemented Interfaces:
  javax.jms.MessageConsumer, Runnable, SpyConsumer, javax.jms.TopicSubscriber

public class SpyTopicSubscriber
extends SpyMessageConsumer
implements javax.jms.TopicSubscriber

This class implements `javax.jms.TopicSubscriber`.

Version:
  $Revision: 1.11 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Cojonudo14@hotmail.com), Adrian Brock

Field Summary

Fields inherited from class org.jboss.mq.SpyMessageConsumer
`closed, listenerThread, listening, receiving, session, stateLock, subscription, waitingForMessage`

Method Summary
`boolean` | `getNoLocal()`
`javax.jms.Topic` | `getTopic()`

Methods inherited from class org.jboss.mq.SpyMessageConsumer
`addMessage, close, getMessageListener, getMessageSelector, getSubscription, isListening, receive, receive, receiveNoWait, restartProcessing, run, sessionConsumerProcessMessage, setMessageListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.MessageConsumer
`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setMessageListener`

Method Detail

### getTopic

    public javax.jms.Topic getTopic()
                             throws javax.jms.JMSException

  Specified by:
    `getTopic` in interface `javax.jms.TopicSubscriber`
  Throws:
    `javax.jms.JMSException`

### getNoLocal

    public boolean getNoLocal()
                       throws javax.jms.JMSException

  Specified by:
    `getNoLocal` in interface `javax.jms.TopicSubscriber`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.